<?php

class ControladorComprobante{

    static public function ctrMostrarComprobante($item, $valor){

		$tabla = "tipo_documento";

		$respuesta = ModeloComprobante::MdlMostrarComprobante($tabla, $item, $valor);

		return $respuesta;
	}

	static public function ctrMostrarComprobante1($item, $valor){

		$tabla = "tipo_documento";

		$respuesta = ModeloComprobante::MdlMostrarComprobante1($tabla, $item, $valor);

		return $respuesta;
	}

    /*=============================================
	REGISTRO DE COMPROBANTE
	=============================================*/

	static public function ctrCrearComprobante(){

		if(isset($_POST["nuevoDocumento"])){

			if(preg_match('/^[a-zA-Z0-9ñÑáéíóúÁÉÍÓÚ ]+$/', $_POST["nuevoDocumento"])){

				$tabla = "tipo_documento";

				$datos = array("nombre" => $_POST["nuevoDocumento"],
					           "operacion" => $_POST["nuevoOperacion"],
							   "serie" => $_POST["nuevaSerie"],
							   "numero" => $_POST["nuevoNumero"]);

				$respuesta = ModeloComprobante::mdlIngresarComprobante($tabla, $datos);
			
				if($respuesta == "ok"){

					echo '<script>

					swal({

						type: "success",
						title: "¡El Comprobante ha sido guardado correctamente!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "comprobante";

						}

					});
				

					</script>';


				}	


			}else{

				echo '<script>

					swal({

						type: "error",
						title: "¡El Comprobante no puede ir vacío o llevar caracteres especiales!",
						showConfirmButton: true,
						confirmButtonText: "Cerrar"

					}).then(function(result){

						if(result.value){
						
							window.location = "comprobante";

						}

					});
				

				</script>';

			}


		}


	}

	/*=============================================
	EDITAR CCOMPROBANTE
	=============================================*/

	static public function ctrEditarComprobante(){

		if(isset($_POST["editarDocumento"])){

			if(preg_match('/^[a-zA-Z0-9ñÑáéíóúÁÉÍÓÚ ]+$/', $_POST["editarDocumento"])){


				$tabla = "tipo_documento";

				$datos = array("nombre" => $_POST["editarDocumento"],
					           "operacion" => $_POST["editarOperacion"],
							   "id" => $_POST["idComprobante"],
							   "serie" => $_POST["editarSerie"],
							   "numero" => $_POST["editarNumero"]);

				$respuesta = ModeloComprobante::mdlEditarComprobante($tabla, $datos);

				if($respuesta == "ok"){

					echo'<script>

					swal({
						  type: "success",
						  title: "El Comprobante ha sido editado correctamente",
						  showConfirmButton: true,
						  confirmButtonText: "Cerrar"
						  }).then(function(result){
									if (result.value) {

									window.location = "comprobante";
									
									}
							})

					</script>';
		
				}


			}else{

				echo'<script>

					swal({
						  type: "error",
						  title: "¡El Comprobante no puede ir vacío o llevar caracteres especiales!",
						  showConfirmButton: true,
						  confirmButtonText: "Cerrar"
						  }).then(function(result){
							if (result.value) {

							window.location = "comprobante";

							}
						})

			  	</script>';

			}

		}

	}

	/*=============================================
	BORRAR COMPROBANTE
	=============================================*/

	static public function ctrBorrarComprobante(){

		if(isset($_GET["idComprobante"])){

			$tabla ="tipo_documento";
			$datos = $_GET["idComprobante"];

			$respuesta = ModeloComprobante::mdlBorrarComprobante($tabla, $datos);

			if($respuesta == "ok"){

				echo'<script>

				swal({
					  type: "success",
					  title: "El Comprobante ha sido borrado correctamente",
					  showConfirmButton: true,
					  confirmButtonText: "Cerrar"
					  }).then(function(result){
								if (result.value) {

								window.location = "comprobante";

								}
							})

				</script>';

			}		

		}

	}


}